| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::ximgproc::EdgeBoxes Class Referenceabstract
Extended Image Processing » EdgeBoxes

Class implementing EdgeBoxes algorithm from [276] : More...

`#include <opencv2/ximgproc/edgeboxes.hpp>`

Inheritance diagram for cv::ximgproc::EdgeBoxes:

## Public Member Functions
virtual float | getAlpha () const =0
| Returns the step size of sliding window search. More...
virtual float | getBeta () const =0
| Returns the nms threshold for object proposals. More...
virtual void | getBoundingBoxes (InputArray edge_map, InputArray orientation_map, std::vector< Rect > &boxes, OutputArray scores=noArray())=0
| Returns array containing proposal boxes. More...
virtual float | getClusterMinMag () const =0
| Returns the cluster min magnitude. More...
virtual float | getEdgeMergeThr () const =0
| Returns the edge merge threshold. More...
virtual float | getEdgeMinMag () const =0
| Returns the edge min magnitude. More...
virtual float | getEta () const =0
| Returns adaptation rate for nms threshold. More...
virtual float | getGamma () const =0
| Returns the affinity sensitivity. More...
virtual float | getKappa () const =0
| Returns the scale sensitivity. More...
virtual float | getMaxAspectRatio () const =0
| Returns the max aspect ratio of boxes. More...
virtual int | getMaxBoxes () const =0
| Returns the max number of boxes to detect. More...
virtual float | getMinBoxArea () const =0
| Returns the minimum area of boxes. More...
virtual float | getMinScore () const =0
| Returns the min score of boxes to detect. More...
virtual void | setAlpha (float value)=0
| Sets the step size of sliding window search. More...
virtual void | setBeta (float value)=0
| Sets the nms threshold for object proposals. More...
virtual void | setClusterMinMag (float value)=0
| Sets the cluster min magnitude. More...
virtual void | setEdgeMergeThr (float value)=0
| Sets the edge merge threshold. More...
virtual void | setEdgeMinMag (float value)=0
| Sets the edge min magnitude. More...
virtual void | setEta (float value)=0
| Sets the adaptation rate for nms threshold. More...
virtual void | setGamma (float value)=0
| Sets the affinity sensitivity. More...
virtual void | setKappa (float value)=0
| Sets the scale sensitivity. More...
virtual void | setMaxAspectRatio (float value)=0
| Sets the max aspect ratio of boxes. More...
virtual void | setMaxBoxes (int value)=0
| Sets max number of boxes to detect. More...
virtual void | setMinBoxArea (float value)=0
| Sets the minimum area of boxes. More...
virtual void | setMinScore (float value)=0
| Sets the min score of boxes to detect. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing EdgeBoxes algorithm from [276] :

## Member Function Documentation

## ◆ getAlpha()

virtual float cv::ximgproc::EdgeBoxes::getAlpha | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getAlpha( |  | )

Returns the step size of sliding window search.

## ◆ getBeta()

virtual float cv::ximgproc::EdgeBoxes::getBeta | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getBeta( |  | )

Returns the nms threshold for object proposals.

## ◆ getBoundingBoxes()

virtual void cv::ximgproc::EdgeBoxes::getBoundingBoxes | ( | InputArray | edge_map,
|  | InputArray | orientation_map,
|  | std::vector< Rect > & | boxes,
|  | OutputArray | scores = `noArray()`
| ) |  |
| pure virtual

Python:
| boxes, scores | = | cv.ximgproc_EdgeBoxes.getBoundingBoxes( | edge_map, orientation_map[, scores] | )

Returns array containing proposal boxes.

Parameters

  edge_map | edge image.
  orientation_map | orientation map.
  boxes | proposal boxes.
  scores | of the proposal boxes, provided a vector of float types.

## ◆ getClusterMinMag()

virtual float cv::ximgproc::EdgeBoxes::getClusterMinMag | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getClusterMinMag( |  | )

Returns the cluster min magnitude.

## ◆ getEdgeMergeThr()

virtual float cv::ximgproc::EdgeBoxes::getEdgeMergeThr | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getEdgeMergeThr( |  | )

Returns the edge merge threshold.

## ◆ getEdgeMinMag()

virtual float cv::ximgproc::EdgeBoxes::getEdgeMinMag | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getEdgeMinMag( |  | )

Returns the edge min magnitude.

## ◆ getEta()

virtual float cv::ximgproc::EdgeBoxes::getEta | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getEta( |  | )

Returns adaptation rate for nms threshold.

## ◆ getGamma()

virtual float cv::ximgproc::EdgeBoxes::getGamma | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getGamma( |  | )

Returns the affinity sensitivity.

## ◆ getKappa()

virtual float cv::ximgproc::EdgeBoxes::getKappa | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getKappa( |  | )

Returns the scale sensitivity.

## ◆ getMaxAspectRatio()

virtual float cv::ximgproc::EdgeBoxes::getMaxAspectRatio | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getMaxAspectRatio( |  | )

Returns the max aspect ratio of boxes.

## ◆ getMaxBoxes()

virtual int cv::ximgproc::EdgeBoxes::getMaxBoxes | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getMaxBoxes( |  | )

Returns the max number of boxes to detect.

## ◆ getMinBoxArea()

virtual float cv::ximgproc::EdgeBoxes::getMinBoxArea | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getMinBoxArea( |  | )

Returns the minimum area of boxes.

## ◆ getMinScore()

virtual float cv::ximgproc::EdgeBoxes::getMinScore | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeBoxes.getMinScore( |  | )

Returns the min score of boxes to detect.

## ◆ setAlpha()

virtual void cv::ximgproc::EdgeBoxes::setAlpha | ( | float | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setAlpha( | value | )

Sets the step size of sliding window search.

## ◆ setBeta()

virtual void cv::ximgproc::EdgeBoxes::setBeta | ( | float | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setBeta( | value | )

Sets the nms threshold for object proposals.

## ◆ setClusterMinMag()

virtual void cv::ximgproc::EdgeBoxes::setClusterMinMag | ( | float | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setClusterMinMag( | value | )

Sets the cluster min magnitude.

## ◆ setEdgeMergeThr()

virtual void cv::ximgproc::EdgeBoxes::setEdgeMergeThr | ( | float | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setEdgeMergeThr( | value | )

Sets the edge merge threshold.

## ◆ setEdgeMinMag()

virtual void cv::ximgproc::EdgeBoxes::setEdgeMinMag | ( | float | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setEdgeMinMag( | value | )

Sets the edge min magnitude.

## ◆ setEta()

virtual void cv::ximgproc::EdgeBoxes::setEta | ( | float | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setEta( | value | )

Sets the adaptation rate for nms threshold.

## ◆ setGamma()

virtual void cv::ximgproc::EdgeBoxes::setGamma | ( | float | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setGamma( | value | )

Sets the affinity sensitivity.

## ◆ setKappa()

virtual void cv::ximgproc::EdgeBoxes::setKappa | ( | float | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setKappa( | value | )

Sets the scale sensitivity.

## ◆ setMaxAspectRatio()

virtual void cv::ximgproc::EdgeBoxes::setMaxAspectRatio | ( | float | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setMaxAspectRatio( | value | )

Sets the max aspect ratio of boxes.

## ◆ setMaxBoxes()

virtual void cv::ximgproc::EdgeBoxes::setMaxBoxes | ( | int | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setMaxBoxes( | value | )

Sets max number of boxes to detect.

## ◆ setMinBoxArea()

virtual void cv::ximgproc::EdgeBoxes::setMinBoxArea | ( | float | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setMinBoxArea( | value | )

Sets the minimum area of boxes.

## ◆ setMinScore()

virtual void cv::ximgproc::EdgeBoxes::setMinScore | ( | float | value | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeBoxes.setMinScore( | value | )

Sets the min score of boxes to detect.

The documentation for this class was generated from the following file:

- opencv2/ximgproc/edgeboxes.hpp